> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Active Payment Methods

GET https://api-b2b.bigcommerce.com/api/v3/io/company-payment-methods

Get all currently enabled payment methods across Companies. If multiple Companies have a given payment method enabled, each one will be returned in the results. Data is returned with pagination.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/payment/get-company-payment-methods

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Query parameters

- `orderBy` (enum, optional) — Specifies the order data should be returned in. If not included, defaults to 'DESC'.
  - Allowed values: `DESC`, `ASC`
- `sortBy` (enum, optional, default: updatedAt) — Sorts data based on creation or modification time while respecting the `orderBy` parameter. If not included, defaults to 'updatedAt'.
  - Allowed values: `updatedAt`, `createdAt`
- `limit` (integer, optional, default: 10) — Sets the maximum number of records to display in the response.
- `offset` (integer, optional, default: 0) — Sets the number of records to skip before displaying the response.
- `companyId` (string, optional) — Filters results by `companyId`, only showing payment methods enabled for the specified Company.
- `q` (string, optional) — The search string by which data should be filtered. Currently supports payment method code & payment method title, so that a value of `q=auth` would return any payment method with 'auth' in either the code or the title.

## Response

### 200

SUCCESS

- `code` (integer, optional, default: 200) — Operation status code.
- `data` (list of CompanyPaymentMethodsGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `meta` (CompanyPaymentMethodsGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### CompanyPaymentMethodsGetResponsesContentApplicationJsonSchemaDataItems

- `companyId` (double, optional) — The unique numeric identifier for the Company. If the `companyId` parameter is specified, this will match across all records.
- `paymentId` (integer, optional) — The unique numeric ID for the payment method.
- `createdAt` (double, optional) — The [Unix Timestamp](https://www.unixtimestamp.com/) indicating when the payment method was enabled on the store.
- `updatedAt` (double, optional) — The [Unix Timestamp](https://www.unixtimestamp.com/) indicating when the payment method was most recently updated.
- `paymentMethodCode` (string, optional) — The string identifying the processor for the payment.
- `paymentMethodTitle` (string, optional) — The label for the payment displayed to customers.

### CompanyPaymentMethodsGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: Success) — Human-readable status message.
- `pagination` (paginationObject, optional)

### paginationObject

- `totalCount` (integer, optional) — Total number of records available.
- `limit` (integer, optional) — The maximum number of records to return in the response.
- `offset` (integer, optional) — The number of records to skip before beginning response data.

## Examples

**Response**

```json
{
  "code": 200,
  "data": [
    {
      "companyId": 7826480,
      "paymentId": 1,
      "createdAt": 1753818625,
      "updatedAt": 1753818625,
      "paymentMethodCode": "authorizenet",
      "paymentMethodTitle": "Authorize.net"
    }
  ],
  "meta": {
    "message": "Success",
    "pagination": {
      "totalCount": 100,
      "limit": 10,
      "offset": 0
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/company-payment-methods"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/company-payment-methods';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/company-payment-methods"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/company-payment-methods")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/company-payment-methods")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/company-payment-methods', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/company-payment-methods");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/company-payment-methods")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```